commit:     855a9290816bfd44acfdc6d6b87924a58c5a686d
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 06:43:14 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 06:47:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=855a9290

dev-python/llfuse: version bump to 1.3.5

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 dev-python/llfuse/Manifest                        |  1 +
 dev-python/llfuse/files/llfuse-1.3.5-cflags.patch | 15 +++++++++
 dev-python/llfuse/llfuse-1.3.5.ebuild             | 41 +++++++++++++++++++++++
 dev-python/llfuse/metadata.xml                    |  1 +
 4 files changed, 58 insertions(+)

diff --git a/dev-python/llfuse/Manifest b/dev-python/llfuse/Manifest
index 44ecfcf2deb..a61daf4e5e5 100644
--- a/dev-python/llfuse/Manifest
+++ b/dev-python/llfuse/Manifest
@@ -1,2 +1,3 @@
 DIST llfuse-1.3.2.tar.bz2 348035 BLAKE2B 
d3a3219c8d7462f448486488971842362b6ade8fcf6804d725db30b0e91d3f240ec9443705cb67caf3e6beae8a174f323465695dddd132210e3606aef6dd861d
 SHA512 
f065818134b12dd128574836bc7d339404d9b7d9236b535da709378e9206b17cb2accd97fc0b658f39a93efe126a7c3064f7901468231f63f8398a3e053498cf
 DIST llfuse-1.3.4.tar.bz2 364400 BLAKE2B 
726a42381b84fc57e3e54d519bc1a105056cc8cf5d1c586ea12b1798db493254df7088f1060ffda0d89887c2b7db2046825e4f044953153e7978891f72032457
 SHA512 
6bda4534f660c42e6740093be0a2c308367f5915a0144d44c390b4f6b197efafb48bc28f7f8d1735defe470e37637bd6688690e26ec3d0c01cb7c197e443f6e6
+DIST llfuse-1.3.5.tar.bz2 362266 BLAKE2B 
561439e193470c047aa32b5b4ffd189beca2496b0141d9f0b0d4b494ee135025b174744ac3c90a0e5e8a17cc98f4ab2e8b4a9069f7d73e01a369f5013d036144
 SHA512 
d45c5fe7e81fd561e016fe99cc7bbac0cf6243e1517e992fe5b302b641aa93c8f95779cb7a4add7a7479f1ed6ca35e0fcf1e4da0fc46ee5d819b46511927613c

diff --git a/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch 
b/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch
new file mode 100644
index 00000000000..43490cf5f4d
--- /dev/null
+++ b/dev-python/llfuse/files/llfuse-1.3.5-cflags.patch
@@ -0,0 +1,15 @@
+Build fails under pypy(3) when enabling these flags.
+
+--- llfuse-1.3.5/setup.py
++++ llfuse-1.3.5/setup.py
+@@ -74,8 +74,8 @@
+         long_desc = fh.read()
+ 
+     compile_args = pkg_config('fuse', cflags=True, ldflags=False, 
min_ver='2.8.0')
+-    compile_args += ['-DFUSE_USE_VERSION=29', '-Wall', '-Wextra', 
'-Wconversion',
+-                     '-Wsign-compare', '-DLLFUSE_VERSION="%s"' % 
LLFUSE_VERSION]
++    compile_args += ['-DFUSE_USE_VERSION=29', '-Wall', '-Wextra',
++                     '-DLLFUSE_VERSION="%s"' % LLFUSE_VERSION]
+ 
+     # We may have unused functions if we compile for older FUSE versions
+     compile_args.append('-Wno-unused-function')

diff --git a/dev-python/llfuse/llfuse-1.3.5.ebuild 
b/dev-python/llfuse/llfuse-1.3.5.ebuild
new file mode 100644
index 00000000000..34f4566ce6d
--- /dev/null
+++ b/dev-python/llfuse/llfuse-1.3.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the low-level FUSE API"
+HOMEPAGE="https://github.com/python-llfuse/python-llfuse/ 
https://pypi.org/project/llfuse/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND=">=sys-fs/fuse-2.8.0:0
+       $(python_gen_cond_dep 'dev-python/contextlib2[${PYTHON_USEDEP}]' 
python2_7 pypy)
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       sys-apps/attr
+       virtual/pkgconfig
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=( "${FILESDIR}"/${P}-cflags.patch )
+
+python_test() {
+       py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/html/. )
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

diff --git a/dev-python/llfuse/metadata.xml b/dev-python/llfuse/metadata.xml
index 9460e17f2ac..2ff4c6f13a0 100644
--- a/dev-python/llfuse/metadata.xml
+++ b/dev-python/llfuse/metadata.xml
@@ -7,5 +7,6 @@
        </maintainer>
        <upstream>
                <remote-id type="pypi">llfuse</remote-id>
+               <remote-id type="github">python-llfuse/python-llfuse</remote-id>
        </upstream>
 </pkgmetadata>

Reply via email to